<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * English strings for local_moofactory_notification.
 *
 * @package     local_moofactory_notification
 * @copyright   2020 Patrick ROCHET <patrick.r@lmsfactory.com>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'Moo Factory Notification';
$string['notifications_category'] = 'Notifications';
$string['settings'] = 'Settings';
$string['managenotif'] = 'Manage notifications';
$string['enabled'] = 'Notifications activated';
$string['enabled_desc'] = 'Notifications activation';
$string['eventstypes'] = 'Types of events enabled';
$string['siteevents'] = 'Site events';
$string['siteevents_desc'] = 'Site events notifications';
$string['daysbeforesiteevent'] = 'Time (d)';
$string['daysbeforesiteevent_desc'] = 'Time before notification is sent (in days)';
$string['hoursbeforesiteevent'] = 'Time (h)';
$string['hoursbeforesiteevent_desc'] = 'And/or time before notification is sent (in hours)';
$string['siteeventsnotification_desc'] = 'Choice of the notification template to use for site events';
$string['coursesevents'] = 'Courses events';
$string['coursesevents_desc'] = 'Courses events notifications';
$string['courseseventsnotification_desc'] = 'Choice of the notification template to use for courses events';
$string['usersevents'] = 'Users events';
$string['usersevents_desc'] = 'Users events notifications';

$string['coursesaccess'] = 'Non-access to courses';
$string['coursesaccess_desc'] = 'Notifications in the event of non-access to a course for a certain time';
$string['coursesaccesstime'] = 'Time interval';
$string['coursesaccesstime_desc'] = 'Time interval from which a notification is sent in the event of non-access to a course (in days)';
$string['coursesaccessnotification_desc'] = 'Choice of the notification template to use for non-access reminders to a course';
$string['coursesaccessnotifnumber'] = 'Maximum number';
$string['coursesaccessnotifnumber_desc'] = 'Maximum number of notifications sent between two course accesses';
$string['courseaccess'] = 'Non-access to this course';
$string['courseaccesstime'] = 'For';
$string['courseaccesstime_desc'] = 'day(s)';

$string['coursesenrollments'] = 'Courses enrollments';
$string['coursesenrollments_desc'] = 'Notifications when a course enrollment occurs';
$string['coursesenrollmentstime'] = 'Time';
$string['coursesenrollmentstime_desc'] = 'Time before notification is sent (in minutes)';
$string['coursesenrollmentsnotification_desc'] = 'Choice of the notification template to use for courses enrollments';
$string['courseenrollments'] = 'Enrollments to this course';
$string['courseenrollmentstime'] = 'Time';
$string['courseenrollmentstime_desc'] = 'minute(s) after enrollment to this course';
$string['courseevents'] = 'Events link to this course';
$string['courseeventscheckavailability'] = 'Take into account access restrictions to activities';
$string['usednotification'] = 'Notification used';

$string['daysbeforeevents1'] = 'First reminder';
$string['daysbeforeevents1_desc'] = 'day(s) before the events';
$string['hoursbeforeevents1'] = 'and/or';
$string['hoursbeforeevents1_desc'] = 'hour(s) before the events';
$string['daysbeforeevents2'] = 'Second reminder';
$string['daysbeforeevents2_desc'] = 'day(s) before the events';
$string['hoursbeforeevents2'] = 'and/or';
$string['hoursbeforeevents2_desc'] = 'hour(s) before the events';
$string['daysbeforeevents3'] = 'Third reminder';
$string['daysbeforeevents3_desc'] = 'day(s) before the events';
$string['hoursbeforeevents3'] = 'and/or';
$string['hoursbeforeevents3_desc'] = 'hour(s) before the events';
$string['menuitem'] = 'Activate notifications';
$string['module'] = 'Activate notifications for ';
$string['moduleevents'] = 'Events link to this activity';
$string['modulecheckavailability'] = 'Take into account access restrictions to this activity';
$string['modulereset'] = 'To reset these values ​​with those saved at the course level, enter 999 in the fields concerned above.';
$string['notanumber'] = 'The value entered must be a positive number';
$string['notanullnumber'] = 'The value entered must be a not null positive number';

$string['sendsiteeventsnotifications'] = 'Sending notifications for site events';
$string['sendcourseseventsnotifications'] = 'Sending notifications for courses events';
$string['sendcourseenrollmentsnotifications'] = 'Sending notifications for courses enrollments';
$string['sendcourseaccessnotifications'] = 'Sending notifications in the event of non-access to courses for a certain time';
$string['choose'] = 'Choose a notification';
$string['notifications'] = 'Notifications';
$string['duplicate'] = 'Duplicate';
$string['delete'] = 'Delete';
$string['add'] = 'Add a notification';
$string['params'] = 'Parameters';
$string['deletenotification'] = 'Delete a notification';
$string['deleteconfirm'] = 'Confirm the deletion of the notification {$a}';
$string['required'] = 'This field is required';
$string['name'] = 'Name';
$string['type'] = 'Type';
$string['subject'] = 'Subject';
$string['bodyhtml'] = 'Content';


// Capabilities.
$string['moofactory_notification:managenotifications']  = 'Manage notifications';
